$(function(){
    function onArchLinkClicked(e){
        var _this=this;
        function onResponse(odata){
            if(odata!=null){
                var url=$(_this).attr('href');
                var text="";
                if($(_this).hasClass('actActivate')){
                    url=url.replace('activate','archive');
                    $(_this).removeClass('actActivate').addClass('actArchive');
                    $(_this).html('Archive');

                }else{
                    $(_this).removeClass('actArchive').addClass('actActivate');
                    url=url.replace('activate','archive');
                    $(_this).html('Activate');
                }
                $(_this).attr('href',url);

            }

        }
        $.get($(this).attr('href'),{},onResponse,'get');

        return false;
    }
    
    $('a.actArchive,a.actActivate').bind('click',onArchLinkClicked);
})